%define _disable_test 1

%define dist libwww-perl
Name: perl-libwww
Version: 5.803
Release: alt0.M23.3

Summary: WWW client/server library for Perl (aka LWP)
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

Patch0: %name-5.803-alt-mime-types.patch
Patch1: %name-5.803-alt-deps-zlib.patch
Patch2: %name-5.803-alt-deps-ftp.patch
Patch3: %name-5.803-alt-deps-ssl.patch

BuildArch: noarch

Provides: %name-perl = %version
Obsoletes: %name-perl <= %version

# requires Win32
%add_findreq_skiplist */HTTP/Cookies/Microsoft.pm
# requires Authen::NTLM; not required by any package 
%add_findreq_skiplist */LWP/Authen/Ntlm.pm
# requires HTTP::GHTTP; not required by any package
%add_findreq_skiplist */LWP/Protocol/GHTTP.pm

# Automatically added by buildreq on Wed Jun 22 2005
BuildRequires: perl-Compress-Zlib perl-DBM perl-HTML-Parser perl-HTML-Tagset perl-URI perl-devel perl-libnet
#perl-Encode 

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web.  The main focus of the library is to provide classes
and functions that allow you to write WWW clients.  The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.

%prep
%setup -q -n %dist-%version
%__bzip2 -9fk Changes
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%ifdef __BTE
%__rm -fv t/live/*.t
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%__ln_s -f lwp-request %buildroot%_bindir/GET
%__ln_s -f lwp-request %buildroot%_bindir/HEAD
%__ln_s -f lwp-request %buildroot%_bindir/POST

%files
%doc	Changes.bz2 README README.SSL
	%_bindir/lwp-*
	%_bindir/GET
	%_bindir/HEAD
	%_bindir/POST
%dir	%perl_vendor_privlib/LWP
	%perl_vendor_privlib/LWP.pm
	%perl_vendor_privlib/LWP/*
%dir	%perl_vendor_privlib/Net
	%perl_vendor_privlib/Net/HTTP*
%dir	%perl_vendor_privlib/WWW
	%perl_vendor_privlib/WWW/RobotRules*
%dir	%perl_vendor_privlib/HTML
	%perl_vendor_privlib/HTML/Form.pm
%dir	%perl_vendor_privlib/HTTP
	%perl_vendor_privlib/HTTP/*
%dir	%perl_vendor_privlib/File
	%perl_vendor_privlib/File/Listing.pm
%dir	%perl_vendor_privlib/Bundle
	%perl_vendor_privlib/Bundle/LWP.pm
%doc	%perl_vendor_privlib/lwp*.pod

%changelog
* Sat Dec 24 2005 Vitaly Lipatov <lav@altlinux.ru> 5.803-alt0.M23.3
- backport to ALT Linux M23

* Wed Jun 22 2005 Alexey Tourbin <at@altlinux.ru> 5.803-alt3
- fixed alt-deps-ftp.patch (breakage reported by Ivan Adzhubey)

* Fri Apr 15 2005 Alexey Tourbin <at@altlinux.ru> 5.803-alt2
- patched to clarify dependencies on Compress::Zlib, Net::FTP, and Net::SSL

* Wed Dec 22 2004 Alexey Tourbin <at@altlinux.ru> 5.803-alt1
- 5.79 -> 5.803
- renamed: %name-perl -> %name
- manual pages not packaged (use perldoc)

* Thu Apr 15 2004 Alexey Tourbin <at@altlinux.ru> 5.79-alt1
- 5.76 -> 5.79

* Sat Dec 06 2003 Alexey Tourbin <at@altlinux.ru> 5.76-alt1
- 5.76

* Thu Nov 13 2003 Alexey Tourbin <at@altlinux.ru> 5.75-alt1
- 5.75
- mdk-empty_header.patch merged upstream, alt-syntax.patch needed no more
- alt-makefile.patch updated (not to read media.types of already installed
  package when running tests)

* Fri Oct 17 2003 Alexey Tourbin <at@altlinux.ru> 5.72-alt1
- 5.72
- syntax.patch: fix syntax error
- makefile.patch:
  + don't run "live" tests
  + don't look for the existing installation

* Sat Apr 26 2003 Alexey Tourbin <at@altlinux.ru> 5.69-alt2
- skip dependencies in:
  + LWP/Authen/Ntlm.pm (requires Authen/Ntlm.pm)
  + HTTP/Cookies/Microsoft.pm (requires Win32.pm)
  + LWP/Protocol/GHTTP.pm
- specfile cleanup

* Tue Mar 18 2003 Stanislav Ievlev <inger@altlinux.ru> 5.69-alt1
- 5.69

* Tue Oct 29 2002 Alexey Tourbin <at@altlinux.ru> 5.65-alt2
- rebuilt for perl-5.8 with new rpm macros

* Thu Jun 13 2002 Stanislav Ievlev <inger@altlinux.ru> 5.65-alt1
- 5.65

* Wed Apr 03 2002 Stanislav Ievlev <inger@altlinux.ru> 5.64-alt1
- 5.64

* Thu Dec 20 2001 Stanislav Ievlev <inger@altlinux.ru> 5.63-alt1
- 5.63

* Mon Oct 15 2001 Stanislav Ievlev <inger@altlinux.ru> 5.53-alt1
- 5.53

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 5.50-ipl2mdk
- Rebuilt with perl-5.6.1
- Some spec cleanup

* Mon Jan 29 2001 Mikhail Zabaluev <zabaluev@parascript.com> 5.50-ipl1mdk
- Updated:
  + version 5.50
- Changed:
  + spec file adapted for Sisyphus
- Fixed:
  + perl path in LWP/Debug.pm

* Wed Jun 28 2000 Mikhail Zabaluev <mookid@sigent.ru> 5.48-1mdk_mhz
- changed file list and installation
- added description from README
- force build architecture to noarch

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 5.47-3mdk
- fixed release tag

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 5.47-2mdk
- remove file list
- rebuild for 5.6.0

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 5.47

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 5.44

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
